### General SPOM inference
for i in `seq 0.5 0.05 1`
do
    mpirun bin_linux/MIDASPOM_MPI -m 175 -d 200 -i Ytest.txt -J Jtest.txt -o "LLik_test_p$i.txt" -s 0.05 -f $i -v 2
done

# example use of approximate algorithm
for i in `seq 0.5 0.05 1`
do
    mpirun -np 1 bin_linux/MIDASPOMA_MPI -m 175 -d 200 -i Ytest.txt -J Jtest.txt -o "LLikA_test_p$i.txt" -s 0.05 -f $i -v 2 -n 100 
done

# plots
Rscript R/plot_posterior.R -o posterior_test.pdf -p LLik_test -s 0.05 -C 2 -q 0.5 -Q 1 -t 0.05 -O posterior_test.txt
Rscript R/plot_posterior.R -o posteriorA_test.pdf -p LLikA_test -s 0.05 -C 2 -q 0.5 -Q 1 -t 0.05 -O posteriorA_test.txt 

# approximate Likelihood

### imputation
mpirun bin_linux/MIDASPOM_impute_MPI -m 175 -d 200 -i Ytest.txt -J Jtest.txt -o impute_occupancy_test.txt -q impute_patches_test.txt -f 0.9 -e 0.4 -c 1.1
# plots
Rscript R/plot_impute.R -o imputation_test.pdf -i impute_occupancy_test.txt -I impute_patches_test.txt -t 2003 -T 2016

### future
mpirun -np 1 bin_linux/MIDASPOM_future_MPI -n 10000 -a 50 -m 175 -d 200 -i impute_patches_test.txt -q posterior_test.txt -o pext_future_nomanagement_test.txt -u 0.05 #without management
mpirun -np 1 bin_linux/MIDASPOM_future_MPI -n 10000 -a 50 -m 175 -d 200 -i impute_patches_test.txt -q posterior_test.txt -o pext_future_source200_test.txt -S 1 -s 200 -u 0.05 # with a source of size 1 at 200m

# plots
Rscript R/plot_future.R -i pext_future_nomanagement_test.txt -o pext_future_nomanagement_test.pdf -t 2016 -T 2065 -n 10000
Rscript R/plot_future.R -i pext_future_source200_test.txt -o pext_future_source200_test.pdf -t 2016 -T 2065 -n 10000

### hypotheses
# increased in-situ dieoff
for i in {02..82..20}
do
    mpirun -np 2 bin_linux/MIDASPOM_dieoff_MPI -b $((18+i)) -a $((97-i)) -e 0.12 -c 0.46 -m 175 -d 200 -s 151 -i impute_patches_test.txt -o "lh_dieoff_test_tD"$i".txt"
done

# source population loss
for i in {02..82..20}
do
   mpirun -np 2 bin_linux/MIDASPOM_loss_MPI -b $((18+i)) -a $((97-i)) -e 0.12 -c 0.46 -m 175 -d 200 -s 151 -i impute_patches_test.txt -o "lh_loss_test_tL"$i".txt"
done

# plots
Rscript R/plot_posterior_loss.R -p lh_loss_test -t 1902 -T 1982 -n 5 -o loss_test.pdf -y 0.015 -z 0.001
Rscript R/plot_posterior_dieoff.R -p lh_dieoff_test -t 1902 -T 1982 -n 5 -o dieoff_test.pdf -z 0.02
